Subject: bug#26847: 26.0.50; Using edebug-step-in on a macro switches to go-mode

From: Dmitry Gutov <[email-masked]>
Date: Wed, 10 May 2017 01:23:39 +0300

On 09.05.2017 0:06, Gemini Lasswell wrote:

> Stepping into macros would have made sense before eager
> macro-expansion, but now by the time Edebug instruments the code the
> macro has already run. Probably the simplest thing to do here is to
> have edebug-step-in signal an error if asked to step into a macro. The
> documentation for edebug-step-in also should be updated to remove
> mention of stepping into macros.

Since nobody has complained about this problem by now, it's probably the 
easiest solution indeed.

However, I wonder if we could inhibit eager macro-expansion when a 
function is being instrumented by edebug. Its definition is being 
re-evaluated at that time, right?

I don't know if we have a good way to do that, though. Or if adding one 
ends up being easy to maintain.